﻿'
' Modbus RTU/TCP/UDP WPF VB sample program for IR API Library.
' This demo application Is a Visual Studi 2019 VB WPF project for IR-210/IR-712A/IR-712-MTCP.
' 
' Release Note
'   [v2.2.0.0], 2022-June-02
'
Imports System.Text

Public Class IrApiDemoStartWin

    Private Sub btnIrApiMbRtuDemo_Click(sender As Object, e As RoutedEventArgs)
        Dim IrLibMbRtuDemoVBWin As New IRMBRTUDemoVBWin0()
        IrLibMbRtuDemoVBWin.ShowDialog()
    End Sub

    Private Sub btnIrApiMbTcpDemo_Click(sender As Object, e As RoutedEventArgs)
        Dim IrLibMbTcpDemoVBWin As New IRMTCPDemoVBWin0()
        IrLibMbTcpDemoVBWin.ShowDialog()
    End Sub

    Private Sub btnIrApiMbUdpDemo_Click(sender As Object, e As RoutedEventArgs)
        Dim IrLibMbUdpDemoVBWin As New IRMUDPDemoVBWin0()
        IrLibMbUdpDemoVBWin.ShowDialog()
    End Sub

    Private Sub IrApiLibDemoMWin_Loaded(sender As Object, e As RoutedEventArgs) Handles IrApiLibDemoMWin.Loaded
        Dim verValue As UInt32
        Dim major, minor, revision, buildNo As String
        verValue = IR_API_Class.IR_GetAPIVersion()
        major = ((verValue >> 24) And &HFF).ToString()
        minor = ((verValue >> 16) And &HFF).ToString()
        revision = ((verValue >> 8) And &HFF).ToString()
        buildNo = (verValue And &HFF).ToString()

        LbLIrApiLibTitle.Content = "IR API Library v" + major + "." + minor + "." + revision + "." + buildNo

    End Sub
End Class
